Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 638 - the rxvt rpm does not seem to include rxvt binary.
Summary: the rxvt rpm does not seem to include rxvt binary.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rxvt
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-28 18:18 UTC by David Lawrence
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-30 20:53:14 UTC


Attachments (Terms of Use)

Description David Lawrence 1998-12-28 18:18:20 UTC
the rxvt rpm does not seem to include rxvt binary in
/usr/X11R6/bin.

A rpm -ql shows that it is not installing the binary.

Comment 1 Jeff Johnson 1998-12-30 19:59:59 UTC
This problem is with dist-6.0/rxvt-2.4.7-3

Here's the compiler output:

make[1]: Entering directory `/usr/src/redhat/BUILD/rxvt-2.4.7/src'
gcc -DHAVE_CONFIG_H -DDEBUG_STRICT  -c  -I/usr/X11R6/include   -I.
-I.. -I.  -O2 -m486 -fno-strength-reduce utmp.c
utmp.c: In function `makeutent':
utmp.c:232: `WTMPX_FILE' undeclared (first use in this function)
utmp.c:232: (Each undeclared identifier is reported only once
utmp.c:232: for each function it appears in.)
utmp.c: In function `cleanutent':
utmp.c:291: `WTMPX_FILE' undeclared (first use in this function)
make[1]: *** [utmp.o] Error 1

and the configure output looks fishy -- I don't think we  always have
utmp/wtmp files in the build environments ...

checking for host in utmp struct... yes
checking where utmp is located...
checking where wtmp is located... /var/log/wtmp

Comment 2 Jeff Johnson 1998-12-30 20:53:59 UTC
Fixed in dist-6.0/rxvt-2.4.7-4


Note You need to log in before you can comment on or make changes to this bug.